# $Revision: 1.33 $, $Date: 2004/03/07 11:48:59 $
%define		major 8.1
%define		tkmajor 8.4
Summary:	Many metawidgets (such as notepads) for tk
Summary(de):	Zahlreiche Metawidgets (wie etwa Notepads) fr tk
Summary(fr):	Nombreux meta-widgets (comme les bloc-notes) pour tk
Summary(pl):	Wiele widgetw (takich jak notepad) dla tk
Summary(tr):	Tk iin ek arayz elemanlar (not defterleri v.b.)
Name:		tix
Version:	%{major}.4
Release:	8
Epoch:		1
License:	BSD
Group:		Development/Languages/Tcl
Source0:	http://dl.sourceforge.net/tix/%{name}-%{version}.tar.gz
# Source0-md5: 128a74718d6d9e10fac40cdf11c661a3
Patch0:		%{name}-scriptpaths.patch
Patch1:		%{name}-fhs.patch
Patch2:		%{name}-autoconf.patch
Patch3:		%{name}-soname.patch
URL:		http://tix.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	tcl-devel >= 8.4.6
BuildRequires:	tk-devel >= 8.4.6
BuildRequires:	which
Requires:	tcl >= 8.4.6
Requires:	tk >= 8.4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tix is a add on for the tk widget set which adds many complex widgets
which are built from tk building blocks. The extra widgets include
combo box, file selection, notebooks, paned windows, spin controls,
and hierarchical list boxes.

%description -l de
Tix ist ein Zusatzprogramm fr den 'tk widget set', das viele komplexe
Widgets hinzufgt, die aus tk-Bausteinen bestehen, z.B.
Kombinationsfelder, Dateiauswahl, Notizblcke, berlappende Fenster,
Drehknpfe und hierarchische Listenfelder.

%description -l fr
tix est un ajout  l'ensemble des widgets Tk qui apporte de nombreux
widgets complexes construits  partir des briques de tk. Les widgets
supplmentaires incluent les combo box, la slection de fichiers, les
notebooks, les fentres  paned  et les listes hirarchises.

%description -l pl
Tix jest dodatkiem dla tk, zawierajcym wiele interesujcych widgetw.

%description -l tr
Tix, tk yaptalar kullanlarak oluturulmu bir ok karmak arayz
eleman bulunduran bir eklemedir. Bu yeni elemanlar arasnda oktan
semeli kutular, dosya seim kutular, not defterleri, ok ksml
pencereler yer almaktadr.

%package devel
Summary:	Tix header files and development documentation
Summary(pl):	Pliki nagwkowe oraz dokumentacja do Tix
Group:		Development/Languages/Tcl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Tix header files and development documentation

%description devel -l pl
Pliki nagwkowe oraz dokumentacja do Tix.

%package demo
Summary:	Tix - demo programs
Summary(pl):	Tix - programy demostracjne
Group:		Development/Languages/Tcl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description demo
Tix - demo programs.

%description demo -l pl
Tix - programy demostracjne.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cd unix
%{__aclocal} -I ../config
%{__autoconf}
%configure \
	--disable-cdemos \
	--enable-shared

cd tk%{tkmajor}
%{__aclocal} -I ../../config
%{__autoconf}
%configure \
	--disable-cdemos \
	--enable-sam \
	--enable-shared

%{__make} \
	CFLAGS="%{rpmcflags} -D_REENTRANT -w"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir},%{_examplesdir}/%{name}-%{version}}

cd unix
LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir} \
%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	LIB_DIR=$RPM_BUILD_ROOT%{_libdir} \
	BIN_DIR=$RPM_BUILD_ROOT%{_bindir} \
	TIX_LIBRARY=$RPM_BUILD_ROOT%{_datadir}/tix%{major}

mv -f $RPM_BUILD_ROOT%{_mandir}/mann/tixwish.1 \
	$RPM_BUILD_ROOT%{_mandir}/man1

mv -f $RPM_BUILD_ROOT%{_datadir}/tix%{major}/demos \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
mv -f $RPM_BUILD_ROOT%{_bindir}/tixwish%{major}.%{tkmajor} \
	$RPM_BUILD_ROOT%{_bindir}/tixwish

ln -sf `cd $RPM_BUILD_ROOT%{_libdir}; echo libtix%{major}*.so.*.*` \
	$RPM_BUILD_ROOT%{_libdir}/libtix.so
ln -sf `cd $RPM_BUILD_ROOT%{_libdir}; echo libtixsam%{major}*.so.*.*` \
	$RPM_BUILD_ROOT%{_libdir}/libtixsam.so
ln -sf `cd $RPM_BUILD_ROOT%{_libdir}; echo libtix%{major}*.so.*.*` \
	$RPM_BUILD_ROOT%{_libdir}/libtix%{major}.so
ln -sf `cd $RPM_BUILD_ROOT%{_libdir}; echo libtixsam%{major}*.so.*.*` \
	$RPM_BUILD_ROOT%{_libdir}/libtixsam%{major}.so

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*.so.*.*

%dir %{_datadir}/tix%{major}
%{_datadir}/tix%{major}/*.tcl
%{_datadir}/tix%{major}/tclIndex

%{_datadir}/tix%{major}/bitmaps
%{_datadir}/tix%{major}/pref
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc docs/*.txt docs/{pdf,tix-book}
%attr(755,root,root) %{_libdir}/tixConfig.sh
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/*.h
%{_mandir}/man[3n]/*

%files demo
%defattr(644,root,root,755)
%dir %{_examplesdir}/%{name}-%{version}
%dir %{_examplesdir}/%{name}-%{version}/demos
%{_examplesdir}/%{name}-%{version}/demos/Mk*.tcl
%{_examplesdir}/%{name}-%{version}/demos/README
%{_examplesdir}/%{name}-%{version}/demos/bitmaps
%{_examplesdir}/%{name}-%{version}/demos/samples
%{_examplesdir}/%{name}-%{version}/demos/tclIndex
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/demos/tixwidgets.tcl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tix.spec,v $
Revision 1.33  2004/03/07 11:48:59  qboosh
- updated soname patch for new tcl soname fixes
- added one more tclsh path fix to scriptpaths patch
- pass --enable-sam to build libtix sam on build, not install
- killed attr(-,...), strict deps, release 8

Revision 1.32  2004/01/29 22:00:47  jajcus
- Release: 7

Revision 1.31  2004/01/22 13:50:14  grzegol
- fixed aclocal invocations
- cosmetics

Revision 1.30  2003/08/25 20:34:59  mmazur
- rel 6 for ac

Revision 1.29  2003/07/31 08:11:56  djrzulf
- rebuild with new requires (rel 5),

Revision 1.28  2003/07/08 08:00:19  qboosh
- use _examplesdir macro

Revision 1.27  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.26  2003/06/17 19:16:16  qboosh
- fixed broken symlinks (use major not version), release 4

Revision 1.25  2003/06/16 13:01:02  wiget
- soname fix (like in tcl and tk)
- release 3
- build with tk 8.4.3 and tcl 8.4.3

Revision 1.24  2003/06/07 01:16:49  wiget
- fix for tcl/tk with soname

Revision 1.23  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.22  2003/05/25 06:27:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/03/12 09:54:55  qboosh
- working Source URL, minor fixes where needed

Revision 1.20  2003/02/12 12:43:06  trojan
- updated to 8.1.4

Revision 1.19  2002/11/30 23:00:29  juandon
- new %%doc

Revision 1.18  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.17  2002/03/02 04:49:29  kloczek
- release 2.

Revision 1.16  2002/03/01 22:16:47  misiek
BR: which

Revision 1.15  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/06 11:17:30  kloczek
- updated to 8.1.3 (new stable version).

Revision 1.12  2002/01/18 02:15:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/08/10 23:44:19  kloczek
- release 5,
- rebuild in enviroment with fixed tk-devel,
- added automake, autoconf to BuildRequires.

Revision 1.10  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.9  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.7  2000/11/17 06:52:34  kloczek
- release 4,
- rebuild against tcl,tk 8.3.2,
- use new rpm automation.

Revision 1.6  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.3  1999/09/07 12:18:50  kloczek
- added BuildRequires rules.

Revision 1.2  1999/09/07 11:51:34  kloczek
- added Serial: 1 (because RH package have incorrect version number),
- added de translaition from BeroLinux spec,
- updated to 4.1.0.007,
- added autoconf whotch allow build tix without installed full source tcl
  and tk in $RPM_BUILD_ROOT/..,
- added devel and demo subpackages,
- added using %configure macro,
- added to %doc in devel full tix guilde in ps.

* Wed Jun 16 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
- major changes -- buil for 1.3 PLD

* Sun Jan 31 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
- added Group(pl),
  by Maciek Rycki <macro@ds2.amg.gda.pl>
- added small patch.

* Sun Nov 15 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [4.1.0-1d]
- build for Linux PLD,
- major changes.
